Person (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.example

## Interface Person

- All Superinterfaces:
    Cloneable, Contributor, DescriptiveObject, InterchangeObject, MediaEntity, MetadataObject
  All Known Implementing Classes:
    PersonImpl

      public interface Person
      extends MediaEntity, Cloneable, Contributor

  Person who makes and/or contributes a resource.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Person` | `clone()` Create a cloned copy of this person.
    `DateStruct` | `getDOB()` Returns the date of birth of the person.
    `String` | `getEmail()` Returns the contact e-mail address for the person.
    `void` | `setDOB(DateStruct dOB)` Sets the date of birth of the person.
    `void` | `setEmail(String email)` Sets the contact e-mail address for the person.

    - ### Methods inherited from interface tv.amwa.maj.extensions.example.Contributor

      `getName, setName`

    - ### Methods inherited from interface tv.amwa.maj.model.DescriptiveObject

      `getLinkedDescriptiveObjectPluginID, setLinkedDescriptiveObjectPluginID`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getDOB

          DateStruct getDOB()
                     throws PropertyNotPresentException

      Returns the date of birth of the person.

      This is an optional property.

      Returns:
        Date of birth of the person.
      Throws:
        `PropertyNotPresentException` - The optional d o b property is not present for this person.

    - #### setDOB

          void setDOB(DateStruct dOB)

      Sets the date of birth of the person.

      Set this optional property to `null` to omit it.

      Parameters:
        `dOB` - Date of birth of the person.

    - #### getEmail

          String getEmail()
                   throws PropertyNotPresentException

      Returns the contact e-mail address for the person.

      This is an optional property.

      Returns:
        Contact e-mail address for the person.
      Throws:
        `PropertyNotPresentException` - The optional email property is not present for this person.

    - #### setEmail

          void setEmail(String email)

      Sets the contact e-mail address for the person.

      Set this optional property to `null` to omit it.

      Parameters:
        `email` - Contact e-mail address for the person.

    - #### clone

          Person clone()

      Create a cloned copy of this person.

      Specified by:
        `clone` in interface `Contributor`
      Specified by:
        `clone` in interface `DescriptiveObject`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Returns:
        Cloned copy of this person.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.